| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::transport::frame_buff Class Reference

`#include <uhd/transport/frame_buff.hpp>`

## Detailed Description

Contains a reference to a frame buffer managed by a link.

## Classes
struct | deleter

## Public Types
using | uptr = std::unique_ptr<frame_buff, deleter>

## Public Member Functions
void * | data () const
size_t | packet_size () const
void | set_packet_size (size_t size)

## Protected Attributes
void * | _data = nullptr
size_t | _packet_size = 0

## Member Typedef Documentation

## ◆ uptr

using uhd::transport::frame_buff::uptr = std::unique_ptr<frame_buff, deleter>

## Member Function Documentation

## ◆ data()

void * uhd::transport::frame_buff::data | ( |  | ) | const
| inline

Get the raw data buffer contained within the frame buffer

Returns
  a pointer to the buffer memory.

## ◆ packet_size()

size_t uhd::transport::frame_buff::packet_size | ( |  | ) | const
| inline

Returns the size of the packet

Returns
  the size of the packet contained in the frame buffer, in bytes.

## ◆ set_packet_size()

void uhd::transport::frame_buff::set_packet_size | ( | size_t | size | ) |
| inline

Sets the size of the packet contained in the frame buffer, in bytes.

Parameters

  size | Number of bytes occupied in the buffer

## Member Data Documentation

## ◆ _data

void* uhd::transport::frame_buff::_data = nullptr
| protected

Pointer to data of current frame

## ◆ _packet_size

size_t uhd::transport::frame_buff::_packet_size = 0
| protected

Size of packet in current frame

The documentation for this class was generated from the following file:

- frame_buff.hpp